Debian 9902 Published by

A Knot-Resolver update has been released for Debian GNU/Linux 12:

[DSA 5633-1] knot-resolver security update




[DSA 5633-1] knot-resolver security update


- -------------------------------------------------------------------------
Debian Security Advisory DSA-5633-1 security@debian.org
https://www.debian.org/security/ Moritz Muehlenhoff
February 27, 2024 https://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : knot-resolver
CVE ID : CVE-2023-46317 CVE-2023-50387 CVE-2023-50868

It was discovered that malformed DNSSEC records within a DNS zone could
result in denial of service against Knot Resolver, a caching, DNSSEC-
validating DNS resolver.

For the stable distribution (bookworm), these problems have been fixed in
version 5.6.0-1+deb12u1.

We recommend that you upgrade your knot-resolver packages.

For the detailed security status of knot-resolver please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/knot-resolver

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/